Fetching Batches
curl --request GET \
--url https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches \
--header 'Authorization: <authorization>'import requests
url = "https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://waitlist-api.prod.blast.io/v1/contracts/{contractAddress}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"batch": [
{
"id": "<string>",
"contractAddress": "<string>",
"pointType": {},
"createdAt": "<string>",
"finalizeAt": "<string>",
"updatedAt": "<string>",
"status": {},
"points": "<string>",
"transferCount": 123
}
],
"cursor": {}
}Fetching Batches
Fetching Batches
You can inspect the overall status of your transfer batches using this paginated API.
Paging
Use the same query parameters as in the previous request, but add acursor query parameter (with the cursor from the previous response).
If the cursor is null, there is nothing left to page.
Authentication
string
required
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.Path Params
string
required
Contract address which submitted the batches.
Query Params (Optional)
PointType
pointType can be PHASE2_POINTS or PHASE2_GOLDStatus
Status of the batch. Can be
PENDING or CANCELLED or FINALIZING or
FINALIZED.string
For querying batches created before
createdBefore timestamp (ISO8601)string
For querying batches created after
createdAfter timestamp (ISO8601)string
Sort by
ASC or DESC creation orderResponse
boolean
Response status.
Batch[]
Batch details along with transfer details.
Show child attributes
Show child attributes
string
Batch ID.
string
Contract address that requested the transfer of points.
PointType
Point type requested to be transferred. Can be
PHASE2_POINTS or PHASE2_GOLD.string
Timestamp when the batch was created.
string
Timestamp when the batch was finalized.
string
Timestamp when the batch was updated. If not updated then it will
null.Status
Status of the batch. Can be
PENDING or CANCELLED or FINALIZING or
FINALIZED.string
Total points being transferred in the batch.
number
Number of transfer that are part of the batch.
string | null
Cursor for pagination, if it is
null there are no results left to
paginate.